﻿*** 1) Make ODS Document;
title;
footnote;
options nodate nonumber center;
ods listing close;

proc sort data=sashelp.prdsale out=prdsale;
  by Country;
run;

ods document name=work.prddoc_F(write);
proc tabulate data=prdsale;
  by Country;
  var predict;
  class prodtype;
  table prodtype all,
        predict*(min mean max);
run;
              
ods select ExtremeObs;
proc univariate data=prdsale;
  by Country;
  var actual;
run;
ods document close;
proc document name=work.prddoc_F;
  list / levels=all;
run;
quit;
           
                       
** 2) rearrange ODS document by creating a new ODS document that will;
**    have 1 high level node in front or at the top 
**    and many subfolders underneath the top node;
              
ods listing;
proc document name=work.neworder(write);
  make ONETOP; 
run;
                      
  dir ^^;
  dir ONETOP;
  dir;
  copy \work.prddoc_F\Tabulate#1\ByGroup1#1\Report#1\Table#1 to ^;
  copy \work.prddoc_F\Univariate#1\ByGroup1#1\ACTUAL#1\ExtremeObs#1 to ^ ;
  copy \work.prddoc_F\Tabulate#1\ByGroup2#1\Report#1\Table#1  to ^ ;
  copy \work.prddoc_F\Univariate#1\ByGroup2#1\ACTUAL#1\ExtremeObs#1 to ^ ;
  copy \work.prddoc_F\Tabulate#1\ByGroup3#1\Report#1\Table#1 to ^ ;
  copy \work.prddoc_F\Univariate#1\ByGroup3#1\ACTUAL#1\ExtremeObs#1 to ^ ;
run;
quit;
               
** 3) after rearranging, look to see what new object names are;
proc document name=work.neworder;
  list / levels=all;
run;
quit;
                        
** 4) now use new object names to set labels;
ods listing;
proc document name=work.neworder(update);
  dir ^^;
  dir ONETOP;
  setlabel \ONETOP#1 'Top Level Node'; 
  setlabel \ONETOP#1\Table#1 'Canada Tabulate'; 
  setlabel \ONETOP#1\ExtremeObs#1 'Canada Extreme Obs';
  setlabel \ONETOP#1\Table#2 'Germany Tabulate';  
  setlabel \ONETOP#1\ExtremeObs#2 'Germany Extreme Obs';
  setlabel \ONETOP#1\Table#3 'USA Tabulate'; 
  setlabel \ONETOP#1\ExtremeObs#3 'USA Extreme Obs';

run;
quit;
                           
** 5) Now replay the new document to ODS PDF;
ods listing close;
ods pdf file='c:\temp\replay_neworder.pdf';
proc document name=work.neworder;
   replay;
run;
quit;
                           
ods _all_ close;
