﻿title;
footnote;
options nodate nonumber center;
ods listing close;

proc sort data=sashelp.prdsale out=prdsale;
  by Country;
run;

ods document name=work.styletst(write);

proc tabulate data=prdsale;
  by Country;
  var predict / style={background=pink};
  class prodtype / style={background=lightyellow};
  classlev prodtype / style={background=lightyellow};
  table prodtype all*{style={background=cyan}},
        predict*(min mean max);
  keylabel All='Overall';
  keyword all / style=Header{background=cyan};
run;

ods select ExtremeObs;
proc univariate data=prdsale;
  by Country;
  var actual;
run;
ods document close;

ods listing;


ods listing close;
** Replay ODS DOCUMENT;
ods html(id=1) path='c:\temp' file='replay_all.html' 
         style=htmlblue;
ods pdf file='c:\temp\replay_all.pdf';
proc document name=work.styletst;
   replay;
run;
quit;

ods html(id=1) close;
ods pdf close;
